/*-----------------------------------------------------------------------------------*/
/*	13.	iOS Styles
/*-----------------------------------------------------------------------------------*/

/**
	Responsive navigation
**/
#responsive_menu_container {
	display: none;
}

#responsive_menu_container select {
	-webkit-appearance: none;
	outline: none;
	color: #fff;
	border: 1px solid #333;
	-moz-box-shadow:	rgba(0, 0, 0, 0.7) 0 0 3px;
	-webkit-box-shadow:	rgba(0, 0, 0, 0.7) 0 0 3px;
	-0-box-shadow:		rgba(0, 0, 0, 0.7) 0 0 3px;
	box-shadow:			rgba(0, 0, 0, 0.7) 0 0 3px;
}

.video_container {
	position: relative;
	padding-bottom: 56.25%;
	padding-top: 30px;
	height: 0;
	overflow: hidden;
}

.video_container iframe,  
.video_container object,  
.video_container embed {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

.slides_container img,
.portfolio_slide img {
	max-width: 100%;
	height: auto;
}

.jp-jplayer-video video { width: 100%!important; height: auto!important;}
.jp-video-play, div.jp-jplayer.jp-jplayer-video { height: auto!important; }
.jp-video-play, div.jp-jplayer.jp-jplayer-video { width: 100%; line-height: 8px; /*Removes black border below vid*/}

.flexslider .slides img {
	max-width: 100%;
	height: auto;
}

/**
	iPad Portrait Breakpoint
**/
@media only screen and (min-device-width: 768px) and (max-width: 1024px) {

	#logo { float: none; }
	#logo img {
		margin: 0 auto;
		display: block;
	}

	#primary_nav {
		display: none;
	}

	#responsive_menu_container {
		display: block;
		margin: 40px auto;
		position: relative;
		width: 645px;
	}

			#responsive_menu_container select {
				padding: 10px 30px 10px 10px;
				width: 100%;
				background: #222 url(images/icons/general/nav_arrows.png) no-repeat 98% 50%;
				background-size: 10px 13px;
			}
	
	#header_inner, #header_tag_inner, #wrapper, #footer_inner, #footer_small_inner {
		width: 645px;
	}

	#showcase_slider {
		width: 645px;
		height: 274px;
	}

		ul.flex-direction-nav {	display: none; }

	#contact_info_header {
		float: none;
		text-align: center;
	}

	.slides_container_portfolio, #portfolio_single_media, .portfolio_slide {
		width: 645px;
		height: 343px;
	}

	#feat_work {
		width: 650px;
		margin-bottom: 40px;
		padding-right: 0;
	}

	ul#latest_work_carousel { /*Collapse carousel*/
		width: 670px!important;
		left:0!important; /*Fix bug when going from desktop to iPad*/
	}

		#latest_work_prev, #latest_work_next { display: none; }

		ul.feat_work_grid li:nth-child(n+5) { /*Display only the first 3 items*/
			display: none;
		}

	/*Home work area*/
	ul.feat_work_grid li {
		width: 315px;
		margin-bottom: 40px;
		margin-right: 20px;
	}

		#feat_work .work_desc_bottom {	width: 315px; }
		#feat_work .work_desc_bottom_mid { width: 299px; }

	.latest_blog_item { width: 312px; margin-bottom: 30px; }
	.latest_blog_item .work_desc_bottom { width: 312px;	}
	.latest_blog_item .work_desc_bottom_mid { width: 296px; }

	#latest_blog_container {
		width: 665px;
	}

	/*Portfolio page*/
	ul.filter-list { background: none; padding-left: 0; }
	ul.filter-list li { margin-bottom: 20px; }

	.portfolio_page { width: 685px; }
	ul.filter-posts li { margin-right: 42px; }
	ul.filter-posts li img { width: 300px; }

	.threecol .feat_work_meta {	width: 280px; }
	.threecol .work_desc_bottom { width: 300px; }
	.threecol .work_desc_bottom_mid { width: 284px; }

	/*Blog*/
	.user_content.min { width:585px; margin-right: 20px;}
	.user_content.min.sideleft { margin-left: 20px;}

	.sidebar {
		margin-top: 40px;
		clear: left;
	}

	.post-meta {
		width: 100%;
		margin-bottom: 10px;
	}

		.post-meta .short_divider { display: none; }

	.sideleft .post-date, .sideright .post-date {
		position: initial;
		float: left;
		margin-right: 40px;
	}

	.post-sticky, .post-author, .post-comments {
		margin: 8px 40px 0 0;
		float: left;
	}

	.post-excerpt {
		width: 585px;
	}

	div.jp-volume-bar-container { left: 496px;}
	div.jp-type-single a.jp-mute, div.jp-type-single a.jp-unmute { left: 555px;}
	div.jp-progress-container { width: 440px;}
	div.jp-type-single div.jp-progress { width: 435px;}

	.tags { clear: left; }

	p.tags a {
		float: none;
		margin-right: 10px;
	}

	#author-bio { width: 460px;}

	#commentform input[type="text"], #commentform input[type="email"], #commentform textarea {
		width: 408px;
	}

	/*Contact page*/
	#contact_content {
		width: 645px;
		margin-right: 0;
	}

	#contact_sidebar {
		margin-top: 40px;
		width: 645px;
	}

	#contact_info {
		width: 48%;
		margin-right: 4%;
		float: left;
	}

	#contact_social_links {
		width: 48%;
		float: left;
	}

	#contact-form input[type="text"], #contact-form input[type="email"], #contact-form textarea {
		width: 499px;
	}

	/*BELOW STILL NEEDS DOING*/
	/*Widgets*/
	/*Flickr in widget area*/
	#home_widget_area .flickr_badge_image { margin: 0 22px 22px 0; }
	/*Flickr in footer*/
	#footer .flickr_badge_image { margin: 0 12px 12px 0; }
	#footer .flickr_widget a { height: 58px; width: 58px; }
	#footer .flickr_badge_image img { height: 58px; width: 58px; }

}


/**
	iPhone Landscape & Portrait Breakpoint
**/
@media only screen and (min-device-width : 320px) and (max-width : 480px) {

	/*Collapse columns*/
	.full_width,.one_half,.one_third,.two_third,.three_fourth,.one_fourth,.one_fifth,.two_fifth,.three_fifth,.four_fifth,.one_sixth,.five_sixth{
		width: 100%;
		margin-right:0;
		margin-bottom: 40px;
		float:none;
	}

	.last { margin-bottom: 0; }


	#logo { float: none; }
	#logo img {
		margin: 0 auto;
		display: block;
	}

	#primary_nav {
		display: none;
	}

	#responsive_menu_container {
		display: block;
		margin: 40px auto;
		position: relative;
		width: 300px;
	}

			#responsive_menu_container select {
				padding: 10px 30px 10px 10px;
				width: 100%;
				background: #222 url(images/icons/general/nav_arrows.png) no-repeat 98% 50%;
				background-size: 10px 13px;
			}
	
	#header_inner, #header_tag_inner, #wrapper, #footer_inner, #footer_small_inner {
		width: 300px;
		padding: 0 10px;
	}

	#showcase_slider {
		width: 300px;
		height: 128px;
		margin-top: 20px;
		margin-bottom: 40px;
	}

		ul.flex-direction-nav {	display: none; }

	#contact_info_header {
		float: none;
		text-align: center;
	}

	.slides_container_portfolio, #portfolio_single_media, .portfolio_slide {
		width: 300px;
		height: 159px;
	}

	/*Home work area*/
	#feat_work {
		width: 300px;
		margin-bottom: 40px;
		padding-right: 0;
	}

	ul#latest_work_carousel { /*Collapse carousel*/
		width: 300px!important;
	}

		#latest_work_prev, #latest_work_next { display: none; }

		ul.feat_work_grid li:nth-child(n+4) { /*Display only the first 3 items*/
			display: none;
		}

		ul.feat_work_grid li {
			width: 300px;
			margin-bottom: 40px;
			margin-right: 0;
		}

		#feat_work .work_desc_bottom {	width: 300px; }
		#feat_work .work_desc_bottom_mid { width: 284px; }

	/*Latest blog items*/
	#latest_blog { margin-bottom: 40px;}
	.latest_blog_item { width: 300px; margin-bottom: 40px; margin-right: 0; }
	.latest_blog_item .work_desc_bottom { width: 300px;	}
	.latest_blog_item .work_desc_bottom_mid { width: 284px; }

	#latest_blog_container {
		width: 300px;
	}

	#home_widget_area { margin-bottom: 0;}

	#footer_left, #footer_right {
		float: none;
		max-width: 100%;
	}

	#footer_left {
		margin-bottom: 40px;
	}

	#footer_right ul li {
		float: none;
		margin-left: 0;
	}

	/*Portfolio page*/
	ul.filter-list { background: none; padding-left: 0; }
	ul.filter-list li { margin-bottom: 20px; }

	.portfolio_page { width: 300px; }
	.portfolio_page ul.filter-posts li { width: 300px; margin-right: 0px; }
	ul.filter-posts li img { width: 300px; }

	.threecol .feat_work_meta {	width: 280px; }
	.threecol .work_desc_bottom { width: 300px; }
	.threecol .work_desc_bottom_mid { width: 284px; }

	/*Single page*/
	#prevPortItem, #nextPortItem { display: none;}
	div.cols {
		-moz-column-count:		1;
		-webkit-column-count:	1;
		column-count:			1;
		-moz-column-gap:		0px;
		-webkit-column-gap:		0px;
		column-gap:				0px;
	}

	/*Blog*/
	.user_content.min { width:240px; margin-right: 0px;}
	.user_content.min.sideleft { margin-left: 0px;}
	.sidebar { width: 300px; }

	.sidebar {
		margin-top: 40px;
		clear: left;
	}

	.post-meta {
		width: 100%;
		margin-bottom: 10px;
	}

		.post-meta .short_divider { display: none; }

	.sideleft .post-date, .sideright .post-date {
		position: initial;
		float: none;
		margin-right: 0px;
		width: 100%;
	}

	.post-sticky, .post-author, .post-comments {
		margin: 8px 10px 0 0;
		float: left;
	}

	.post-author, .post-comments, .post-sticky {
		padding: 0 0 10px 20px;
	}

	.post-excerpt {
		width: 240px;
	}

	div.jp-volume-bar-container { left: 155px;}
	div.jp-type-single a.jp-mute, div.jp-type-single a.jp-unmute { left: 215px;}
	div.jp-progress-container { width: 105px;}
	div.jp-type-single div.jp-progress { width: 100px;}

	.tags { clear: left; }

	p.tags a {
		float: none;
		margin-right: 10px;
	}

	#author-bio { width: 100%; text-align: center;}
	#author-image { margin: 0 auto 10px auto; width: 60px; float: none;}

	.searchbox input { width: 199px; }
	.searchbox .button { right: 0;}

	#commentform label { width: 100%;}
	#commentform input[type="text"], #commentform input[type="email"], #commentform textarea {
		width: 214px;
	}
	ul.children #commentform input[type="text"], ul.children #commentform input[type="email"], ul.children #commentform textarea {
		width: 194px;
	}

	#commentform .button { margin: 0; }
	.comment-author .avatar { left: 0;}
	ol#comments_section { margin-left: 0;}
	.comment-author, .comment-meta { padding-left: 70px;}
	ol#comments_section ul.children { margin-left: 0; background: #f3f3f3; padding: 10px 10px 0 10px;}
	ol#comments_section ul.children ul.children { padding: 0;}

	/*Contact page*/
	#contact_content {
		width: 300px;
		margin-right: 0;
	}

	#contact_sidebar {
		margin-top: 40px;
		width: 300px;
	}

	#contact_info {
		width: 100%;
		margin-right: 0;
		float: none;
		margin-bottom: 40px;
	}

	#contact_social_links {
		width: 100%;
		float: none;
	}

	#contact-form input[type="text"], #contact-form input[type="email"], #contact-form textarea {
		width: 154px;

	}

}